Error
A valid request URL is required to generate request examples{
"results": {
"composerChartUuid": "<string>",
"action": "no changes"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Projects
Upsert composer chart as code
Upserts a composer chart from code representation. An unchanged file writes nothing.
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
code
/
composerCharts
/
{slug}
Error
A valid request URL is required to generate request examples{
"results": {
"composerChartUuid": "<string>",
"action": "no changes"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Stringified UUIDv4. See RFC 4112
Pattern:
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Body
application/json
A composer chart file: the stored pipeline and chart, verbatim.
Was this page helpful?